# $Revision: 1.21 $, $Date: 2005/07/10 15:22:37 $
Summary:	A network programming library written in C++
Summary(pl):	Biblioteka programowania sieciowego napisana w C++
Name:		wvstreams
Version:	4.0.2
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://www.csclub.uwaterloo.ca/~ja2morri/%{name}-%{version}.tar.gz
# Source0-md5:	ecb4e74ebaa1f45206f5d88eb34c5623
Patch0:		%{name}-rsapublickey.patch
URL:		http://open.nit.ca/wvstreams/
BuildRequires:	doxygen
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
Obsoletes:	libwvstreams
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%description -l pl
WvStreams prbuje by wydajn, bezpieczn i atw w uyciu bibliotek
do tworzenia aplikacji sieciowych.

%package devel
Summary:	Development files for WvStreams
Summary(pl):	Pliki developerskie dla WvStreams
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel
Obsoletes:	libwvstreams-devel

%description devel
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development. This package contains the
files needed for developing applications which use WvStreams.

%description devel -l pl
WvStreams prbuje by wydajn, bezpieczn i atw w uyciu bibliotek
do tworzenia aplikacji sieciowych. Pakiet ten zawiera pliki niezbdne
do tworzenia aplikacji uywajcych WvStreams.

%package static
Summary:	Static wvstreams library
Summary(pl):	Statyczna biblioteka wvstreams
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static wvstreams library.

%description static -l pl
Statyczna wersja biblioteki wvstreams.

%prep
%setup -q
#%patch0 -p1
#ugly hack - fix it
cp include/wvsslhacks.h crypto
cp include/wvtelephony.h telephony

%build
# despite .fpic rules the same .o files are used for .a and .so - need -fPIC
%{__aclocal}
%{__autoconf}
%{__autoheader}
cp -f /usr/share/automake/config.sub xplc
%configure
%{__make} -j1 \
	DEBUG=%{?debug:1}%{!?debug:0} \
	CXX="%{__cxx}" \
	CFLAGS="%{rpmcflags} -fPIC -DDEBUG=0 \$(OSDEFINE)"
	
%{__make} doxygen

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README ChangeLog
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc Docs/doxy-html/*
%attr(755,root,root) %{_libdir}/lib*.so
%{_includedir}/wvstreams

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: wvstreams.spec,v $
Revision 1.21  2005/07/10 15:22:37  djurban
- fixed amd64

Revision 1.20  2005/07/10 15:12:45  djurban
- stbring to ready, since i neeed to have the rebuild with new wvstreams
  will fix amd64 and resend them again when i get back home

Revision 1.19  2005/07/10 10:03:20  djurban
- please let me uncomment it for ca 3h, i need to send this to test and install
  on some machine where i just instlaled pld from mini-iso. this version fixes
  a critical bug that prevents wvdial from supporting usb modems, should go to ac-main
  ASAP, for now sending to test

Revision 1.18  2005/06/17 21:05:42  areq
- 4.0.2 - now build by gcc4

Revision 1.17  2004/10/31 13:31:27  paladine
- spaces->tabs

Revision 1.16  2004/05/31 13:22:27  qboosh
- release 4

Revision 1.15  2004/05/31 13:10:12  qboosh
- make -j1

Revision 1.14  2004/05/31 11:54:52  qboosh
- added missing OSDEFINE to CFLAGS, BR+R libstdc++-devel; release 3

Revision 1.13  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.12  2004/01/26 21:45:41  qboosh
- pass optflags, use PIC (needed on alpha and amd64); release 2

Revision 1.11  2003/09/30 20:36:08  eothane
- hmpfh.. openssl 0.9.7c

Revision 1.10  2003/09/30 20:18:36  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.9  2003/08/18 08:09:38  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.8  2003/08/12 23:54:17  ankry
- cosmetics

Revision 1.7  2003/07/13 10:51:52  t0tal
- added doxygen to BR, but I don't have time
  to see in what version it's needed.

Revision 1.6  2003/07/05 20:42:39  areq
- add gcc3.patch

Revision 1.5  2003/05/28 13:02:59  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:28:02  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/22 16:04:19  areq
- add rsapublickey.patch - now builds with openssl >=0.9.7

Revision 1.2  2003/02/13 14:06:58  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.1  2002/08/24 17:05:50  misiek
- pld initial release
